Bug 794726 - wrong dll name in libz.la
wrong dll name in libz.la
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-zlib (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 07:50 EST by David Tardon
Modified: 2012-02-28 06:04 EST (History)
5 users (show)

See Also:
Fixed In Version: mingw32-zlib-1.2.5-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-25 19:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (1.13 KB, patch)
2012-02-17 07:50 EST, David Tardon
no flags Details | Diff

  None (edit)
Description David Tardon 2012-02-17 07:50:08 EST
Created attachment 563896 [details]
patch

Description of problem:
SSIA

Version-Release number of selected component (if applicable):
mingw32-zlib-1.2.5-4.fc16

How reproducible:
always

Steps to Reproduce:
1. cd /usr/i686-pc-mingw32/sys-root/mingw/lib
2. eval $(grep "^dlname" libz.la)
3. ls $dlname
  
Actual results:
ls: cannot access ../bin/libz-1.dll: No such file or directory

Expected results:
../bin/zlib1.dll

Additional info:
The attached patch fixes the problem.
Comment 1 Fedora Update System 2012-02-17 13:12:43 EST
mingw32-zlib-1.2.5-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mingw32-zlib-1.2.5-5.fc16
Comment 2 Fedora Update System 2012-02-17 13:12:54 EST
mingw32-zlib-1.2.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw32-zlib-1.2.5-6.fc17
Comment 3 Fedora Update System 2012-02-17 18:51:06 EST
Package mingw32-zlib-1.2.5-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw32-zlib-1.2.5-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1927/mingw32-zlib-1.2.5-5.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-02-25 19:23:03 EST
mingw32-zlib-1.2.5-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-02-28 06:04:06 EST
mingw32-zlib-1.2.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.